Package biotransformer.utils

## Class Utilities

- java.lang.Object
- - biotransformer.utils.Utilities

    public class Utilities
    extends java.lang.Object

### Constructor Summary

Constructors
`Utilities()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `annotateAtomContainerWithProps​(org.openscience.cdk.interfaces.IAtomContainer molecule, java.util.LinkedHashMap<java.lang.Object,​java.lang.Object> props)`
`static boolean` `containsBiotransformation​(java.util.ArrayList<Biotransformation> biotransformations, Biotransformation bt)`
`static org.openscience.cdk.interfaces.IAtomContainerSet` `createEmptyAtomContainerSet()`
`static org.openscience.cdk.interfaces.IAtomContainerSet` `getCDKAtomContainerSet()`
`static void` `print​(java.util.ArrayList<java.lang.String> aList)`
`static java.util.ArrayList<java.lang.String>` `removeDuplicateStrings​(java.util.ArrayList<java.lang.String> listOfStrings)`
`static java.lang.String` `returnFirstCleanSynonym​(java.lang.String[] synonyms)`
`static java.lang.String` `returnFirstCleanSynonym​(java.util.ArrayList<java.lang.String> synonyms)`
`static java.util.ArrayList<Biotransformation>` `selectUniqueBiotransformations​(java.util.ArrayList<Biotransformation> biotransformations)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Utilities

    public Utilities()

### Method Detail

#### removeDuplicateStrings

    public static java.util.ArrayList<java.lang.String> removeDuplicateStrings​(java.util.ArrayList<java.lang.String> listOfStrings)

#### print

    public static void print​(java.util.ArrayList<java.lang.String> aList)

#### getCDKAtomContainerSet

    public static org.openscience.cdk.interfaces.IAtomContainerSet getCDKAtomContainerSet()

#### annotateAtomContainerWithProps

    public static void annotateAtomContainerWithProps​(org.openscience.cdk.interfaces.IAtomContainer molecule,
                                                      java.util.LinkedHashMap<java.lang.Object,​java.lang.Object> props)

#### selectUniqueBiotransformations

    public static java.util.ArrayList<Biotransformation> selectUniqueBiotransformations​(java.util.ArrayList<Biotransformation> biotransformations)

#### containsBiotransformation

    public static boolean containsBiotransformation​(java.util.ArrayList<Biotransformation> biotransformations,
                                                    Biotransformation bt)

#### createEmptyAtomContainerSet

    public static org.openscience.cdk.interfaces.IAtomContainerSet createEmptyAtomContainerSet()

#### returnFirstCleanSynonym

    public static java.lang.String returnFirstCleanSynonym​(java.lang.String[] synonyms)

#### returnFirstCleanSynonym

    public static java.lang.String returnFirstCleanSynonym​(java.util.ArrayList<java.lang.String> synonyms)